// stdafx.cpp : source file that includes just the standard includes
//	Net.pch will be the pre-compiled header
//	stdafx.obj will contain the pre-compiled type information

#include "stdafx.h"

// TODO: reference any additional headers you need in STDAFX.H
// and not in this file

#ifdef _DEBUG
///////////////////////////////////////////////////////////////////////////////
//
// CeTrace - write a variable argument string to the debug output device
//
///////////////////////////////////////////////////////////////////////////////
void CeTrace(LPCTSTR lpszFormat, ...)
{
	va_list args;
	va_start(args, lpszFormat);

	TCHAR szBuffer[1024];
	wvsprintf(szBuffer, lpszFormat, args);
	::OutputDebugString(szBuffer);

	va_end(args);
}

///////////////////////////////////////////////////////////////////////////////
//
// CeAssert - checks the passed expression, breaks into the debugger if the 
//            boolean expression is false
//
///////////////////////////////////////////////////////////////////////////////
void CeAssert(BOOL bExp, LPCTSTR lpszExp)
{
	if (! bExp)
	{
		::CeTrace(_T("%s\n"), lpszExp);
		int nResp = ::MessageBox(NULL, lpszExp, _T("Debug Assert Failed!"), MB_OKCANCEL);
		if (nResp == IDCANCEL)
			DebugBreak();
	}
}

void CeAssert(BOOL bExp)
{
	if (! bExp)
	{
		int nResp = ::MessageBox(NULL, _T("ASSERT"), _T("Debug Assert Failed!"), MB_OKCANCEL);
		if (nResp == IDCANCEL)
			DebugBreak();
	}
}
#endif