// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__67CC1765_9EBB_4B00_AA0F_AC02EBF0E1C8__INCLUDED_)
#define AFX_STDAFX_H__67CC1765_9EBB_4B00_AA0F_AC02EBF0E1C8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#if (_WIN32_WCE==200)
#define ORB_WINDOWS_CE200
#elif (_WIN32_WCE==300)
#define ORB_WINDOWS_CE200
#elif (_WIN32_WCE==201)
#define ORB_WINDOWS_CE201
#elif (_WIN32_WCE==211)
#define ORB_WINDOWS_CE211
#endif

// Insert your headers here
#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers

// ===================================================================
// Compiler stuff
// ===================================================================
//#ifdef _MSC_VER
// -------------------------------------------------------------------
// Disable warning "identifier was truncated to '255' characters in
// the debug information" for Microsoft Visual C++
#pragma warning(disable : 4786)

// -------------------------------------------------------------------
// disable unhandled reference warning
#pragma warning(disable : 4102)
//#endif

// -------------------------------------------------------------------
// disable 'int' : forcing value to bool 'true' or 'false' (performance warning
#pragma warning(disable : 4800)

// -------------------------------------------------------------------
//return type for 'identifier::operator >' is not a UDT or reference to a UDT. Will produce errors if applied using infix notation
#pragma warning(disable : 4284)


// -------------------------------------------------------------------
// Standard headers
#include "stdlib.h"
#include "stdarg.h"
#include "tchar.h"
#include "windows.h"

#define COMMENT SLASH(/)
#define SLASH(s) /##s

#if _DEBUG
#define DEBUG_CODE
#else
#define DEBUG_CODE COMMENT
#endif

// -------------------------------------------------------------------
// STL headers
#include <map>
#include <vector>
#include <queue>
#include <algorithm>
#include <stack>
#include <list>
#include <memory>

//#include "compiler/data/_data.h"
#include "ustring.h"

enum VarType 
{
	vtInt=0, vtChar, vtFloat, vtString, vtStruct,
	vtVoid,  vtAddr, vtStackIndex, vtNone , 
	vtDouble
};


#include "stackentry.h"

#include "pktlibrary.h"
#include <windows.h>

#pragma comment(lib, "utillib.lib")
#pragma comment(lib, "pgsnddemo.lib")

#endif // !defined(AFX_STDAFX_H__67CC1765_9EBB_4B00_AA0F_AC02EBF0E1C8__INCLUDED_)
